Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.5-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/sun-jaxb/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define jaxbver  2.1.4

Name:           glassfish-jaxb
Version:        2.1.4
Release:        alt1_6jpp5
Epoch:          0

Summary:        Java API for XML Web Services API
License:        CDDL
Url:            https://jax-ws-sources.dev.java.net/
#Source1:        http://download.java.net/maven/1/javax.xml.bind/poms/jaxb-api-2.1.pom
#Source2:        CDDLv1.0.html
#Source3:        sun-jaxb-2.1-api-manifest.mf
#Source4:        sun-jaxb-2.1-api-build.properties
#Source5:        sun-jaxb-2.1-api-build.xml
Source0:	%{name}-%{version}-src.tar.gz
Source2:        http://repo1.maven.org/maven2/javax/xml/jaxb-api/2.1/jaxb-api-2.1.pom
Source6:	%{name}-component-info.xml
#cvs -d:pserver:guest@cvs.dev.java.net:/cvs export -r jaxb-2_1_4 -d jaxb-ri jaxb2-sources/jaxb-ri; tar cvxf sun-jaxb-2.1.4-src.tar.gz jaxb-ri
Patch0:	%{name}-build-hack.patch

Group:          Development/Java
BuildRequires: jpackage-utils >= 0:1.7.3
BuildRequires: ant >= 0:1.6.5
#BuildRequires:  jaf = 1.1
#BuildRequires:  stax_1_0_api
#Requires:  jaf = 1.1
#Requires:  stax_1_0_api
BuildArch:      noarch
Provides:       jaxb_api = 0:%{jaxbver}
Provides:       jaxb_2_1_api = 0:%{version}-%{release}

%description
The Java Architecture for XML Binding (JAXB) 2.1 API
according to JSR-222 MR1.

%if %{with_repolib}
%package repolib
Summary:         Artifacts to be uploaded to a repository library
Group:           Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       jaxb-javadoc = 0:%{jaxbver}

%description javadoc
%{summary}.

%prep
%setup -q -n jaxb-ri
#%setup -q -c 
#mkdir -p src/java
#mv javax src/java
#cp %{SOURCE3} jaxb.mf
#cp %{SOURCE4} build.properties
#cp %{SOURCE5} build.xml
%patch0 -p1

%build
#export JAVA_HOME=/usr/lib/jvm/java-1.5.0
#export CLASSPATH=$(build-classpath activation stax_1_0_api)
#ant -Dbuild.sysclasspath=only release
export CLASSPATH=`pwd`/tools/lib/rebundle/runtime/xsdlib.jar
export OPT_JAR_LIST=:
ant -Dbuild.sysclasspath=first dist

%install
# jars

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/lib/jaxb-api.jar $RPM_BUILD_ROOT%{_javadir}/jaxb-api.jar
install -m 644 dist/lib/jaxb-api.jar $RPM_BUILD_ROOT%{_javadir}/jaxb_2_1_api.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/sun-jaxb
install -m 644 dist/lib/jaxb-api.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxb/
install -m 644 dist/lib/jaxb-impl.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxb/
install -m 644 dist/lib/jaxb-xjc.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxb/

#Commenting the bellow to fix 4.3 build
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
#install -m 644 jaxb.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
#
## add_to_maven_depmap javax.xml.bind jaxb-api %{version} JPP %{name}
#
#(cd $RPM_BUILD_ROOT%{_javadir} 
#ln -s %{name}-%{version}-api.jar jaxb_2_1_api.jar
#ln -s %{name}-%{version}-api.jar jaxb_api.jar
#ln -sf %{name}-%{version}-api.jar %{name}.jar)

# poms
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
#install -pm 644 %{SOURCE1} \
#    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# poms
%add_to_maven_depmap javax.xml jaxb-api %{version} JPP/sun-jaxb jaxb-api
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxb.jaxb-api.pom

%if %{with_repolib}
        install -d -m 755 $RPM_BUILD_ROOT%{repodir}
        install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{repodir}/component-info.xml
        sed -i "s/@VERSION@/%{version}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
        tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
        sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
        install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
        install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        cp -p dist/lib/jaxb-* $RPM_BUILD_ROOT%{repodirlib}/
        cp -p dist/lib/jsr173_1.0_api.jar $RPM_BUILD_ROOT%{repodirlib}/
%endif
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/jaxb_2_1_api_%{name}<<EOF
%{_javadir}/jaxb_2_1_api.jar	%{_javadir}/%{name}.jar	20100
EOF
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/jaxb_api_%{name}<<EOF
%{_javadir}/jaxb_api.jar	%{_javadir}/%{name}.jar	20100
EOF

%post
#%update_maven_depmap
%register_alternatives jaxb_2_1_api_%{name}
%register_alternatives jaxb_api_%{name}

%preun
if [ "$1" = "0" ]; then
    %unregister_alternatives jaxb_2_1_api_%{name}
    %unregister_alternatives jaxb_api_%{name}
fi

%postun
#%update_maven_depmap

%files
%_altdir/jaxb_api_%{name}
%_altdir/jaxb_2_1_api_%{name}
%doc CDDL_ver_1_0.html
%{_javadir}/sun-jaxb
#%{_datadir}/maven2/poms/*
#%{_mavendepmapfragdir}
%{_javadir}/jaxb_2_1_api.jar
%{_javadir}/jaxb-api.jar
%{_datadir}/maven2/poms/JPP.sun-jaxb.jaxb-api.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %{with_repolib}
%files repolib
%{_javadir}/repository.jboss.com
%endif

%changelog
* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:2.1.4-alt1_6jpp5
- converted from JPackage by jppimport script

